#include "esphome/core/log.h"
#include "stepper_cover.h"

namespace esphome {
namespace stepper_cover {

static const char *TAG = "stepper_cover.cover";

void StepperCover::setup() {

}

void StepperCover::loop() {

}

void StepperCover::dump_config() {
    ESP_LOGCONFIG(TAG, "Empty cover");
}

cover::CoverTraits StepperCover::get_traits() {
    auto traits = cover::CoverTraits();
    traits.set_is_assumed_state(false);
    traits.set_supports_position(false);
    traits.set_supports_tilt(false);

    return traits;
}

void StepperCover::control(const cover::CoverCall &call) {
    
}

}  // namespace stepper_cover
}  // namespace esphome
